import premierlibrary from 'libpremierlibrary.so';
export class ListPlayerBase {
    constructor(v25, w25, x25, y25) {
        this.mNativeContext = BigInt(0);
        this.getNativeContext = () => {
            return this.mNativeContext;
        };
        this.setNativeContext = (b26) => {
            this.mNativeContext = b26;
        };
        premierlibrary.nListConstruct(this, w25, x25, y25);
    }
    stop() {
        premierlibrary.nListStop(this);
    }
    removeSource(u25) {
        premierlibrary.nListRemoveSource(this, u25);
    }
    clear() {
        premierlibrary.nListClear(this);
    }
    getCurrentUid() {
        return premierlibrary.nListGetCurrentUid(this);
    }
    setPreloadCount(t25) {
        premierlibrary.nListSetPreloadCount(this, t25);
    }
    setPreloadCountWithPrevAndNext(r25, s25) {
        premierlibrary.nListSetPreloadCountWithPrevAndNext(this, r25, s25);
    }
    setPreloadScene(q25) {
        premierlibrary.nListSetPreloadScene(this, q25);
    }
    enablePreloadStrategy(o25, p25) {
        premierlibrary.nListEnablePreloadStrategy(this, o25, p25);
    }
    setPreloadStrategyParam(m25, n25) {
        premierlibrary.nListSetPreloadStrategyParam(this, m25, n25);
    }
    setMaxPreloadMemorySizeMB(l25) {
        premierlibrary.nListSetMaxPreloadMemorySizeMB(this, l25);
    }
    getMaxPreloadMemorySizeMB() {
        return premierlibrary.nListGetMaxPreloadMemorySizeMB(this);
    }
    SetMultiBitratesMode(k25) {
        premierlibrary.nListSetMultiBitratesMode(this, k25);
    }
    GetMultiBitratesMode() {
        return premierlibrary.nListGetMultiBitratesMode(this);
    }
    release() {
        premierlibrary.nListRelease(this);
    }
}
